JavaScript
import Ivy from '@getivy/node-sdk';
const client = new Ivy({
apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
});
const subaccount = await client.subaccounts.create({ legalName: 'legalName', mcc: '7321' });
console.log(subaccount.id);curl --request POST \
--url https://api.getivy.de/api/service/subaccount/create \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"legalName": "<string>",
"mcc": "<string>",
"websiteUrl": "<string>"
}
'import requests
url = "https://api.getivy.de/api/service/subaccount/create"
payload = {
"legalName": "<string>",
"mcc": "<string>",
"websiteUrl": "<string>"
}
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"id": "<string>",
"legalName": "<string>",
"mcc": "<string>",
"ownerId": "<unknown>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"websiteUrl": "<string>"
}Subaccount
Create a Subaccount
Create a Subaccount which can be used to reconcile orders, refunds and payouts more easily.
POST
/
api
/
service
/
subaccount
/
create
JavaScript
import Ivy from '@getivy/node-sdk';
const client = new Ivy({
apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
});
const subaccount = await client.subaccounts.create({ legalName: 'legalName', mcc: '7321' });
console.log(subaccount.id);Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
application/json
The legal name of the Subaccount
Maximum string length:
120Pattern:
^[^"#$%^*;<>|{}_`~[\]]*$The website url of the Subaccount
Was this page helpful?
⌘I